﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Views.InputMethods;
using Android.Widget;
using DataGridDemo;
using DataGridDemo.Droid;
using Xamarin.Forms.Platform.Android;
using Xamarin.Forms;

[assembly: Dependency(typeof(KeyBoardDependencyService))]
namespace DataGridDemo.Droid
{
    public class KeyBoardDependencyService : IKeyboardDependency
    {
        public void ShowKeyboard()
        {
            RendererHelper viewRenderer = new RendererHelper();
            InputMethodManager inputManager = (InputMethodManager)viewRenderer.contextAndroid.GetSystemService(Context.InputMethodService);
            if (inputManager != null)
            {
                inputManager.ToggleSoftInput(ShowFlags.Forced, HideSoftInputFlags.ImplicitOnly);
            }
            viewRenderer = null;
            inputManager = null;
        }
    }

    public class RendererHelper : VisualElementRenderer<Xamarin.Forms.View>
    {
        public Context contextAndroid;
        public RendererHelper()
        {
            contextAndroid = this.Context;
        }
    }
}